Package org.springframework.web.servlet.resource

# Class ResourceUrlEncodingFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
org.springframework.web.servlet.resource.ResourceUrlEncodingFilter

All Implemented Interfaces:
  `Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

public class ResourceUrlEncodingFilter extends org.springframework.web.filter.GenericFilterBean
A filter that wraps the `HttpServletResponse` and overrides its `encodeURL` method in order to translate internal resource request URLs into public URL paths for external use.

Since:
  4.1
Author:
  Jeremy Grelle, Rossen Stoyanchev, Sam Brannen, Brian Clozel

## Constructor Summary

Constructors
Constructor
Description
`ResourceUrlEncodingFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response, FilterChain filterChain)`

### Methods inherited from class org.springframework.web.filter.GenericFilterBean

`addRequiredProperty, afterPropertiesSet, createEnvironment, destroy, getEnvironment, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, initFilterBean, setBeanName, setEnvironment, setServletContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceUrlEncodingFilter

public ResourceUrlEncodingFilter()

## Method Details

### doFilter

public void doFilter(ServletRequest request, ServletResponse response, FilterChain filterChain) throws ServletException, IOException

Throws:
  `ServletException`
  `IOException`